worker_processes  1;

events {
    worker_connections  1024;
}


http {

    include       mime.types;
    default_type  application/octet-stream;
    sendfile        on;
    keepalive_timeout  65;
    client_max_body_size 20m;

    server { 
	listen 80; 
	server_name   124.70.62.143;
    # ssl_certificate  /home/nginx/html/yzbh/ssl/www.dljpwx.com.crt;
    # ssl_certificate_key  /home/nginx/html/yzbh/ssl/www.dljpwx.com.key;
    # ssl_session_cache    shared:SSL:1m;
    # ssl_ciphers  HIGH:!aNULL:!MD5;
    # ssl_prefer_server_ciphers  on;
    
    location / {
        root /home/nginx/html/yzbh/dist;
        try_files $uri $uri/ /index.html;
        index  index.html index.htm;
    }

    # location /obs/ {
    #     proxy_pass http://node472.com/;
    # }

    location /prod-api/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8040/;
        proxy_read_timeout 10m;
    }
    location /ezhizao-yzbh-sys/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8040/;
        proxy_read_timeout 10m;
    }
    location /ezhizao-yzbh-crm/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8041/;
        proxy_read_timeout 10m;
    }
    location /ezhizao-yzbh-entrust/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8042/;
        proxy_read_timeout 10m;
    }
    location /ezhizao-yzbh-production/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8043/;
        proxy_read_timeout 10m;
    }
    location /ezhizao-yzbh-finance/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8043/;
        proxy_read_timeout 10m;
    }
    location /ezhizao-yzbh-financial/{
        proxy_set_header Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header REMOTE-HOST $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://172.18.0.1:8044/;
        proxy_read_timeout 10m;
    }
    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   html;
    }
   }
}
